Bug 825496 - Review Request: python-django-staticfiles - A Django app that provides helpers for serving static files
Review Request: python-django-staticfiles - A Django app that provides helper...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-05-26 17:48 EDT by Domingo Becker
Modified: 2012-07-12 08:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 08:53:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mrunge: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Domingo Becker 2012-05-26 17:48:59 EDT
Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-staticfiles.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-staticfiles-0.3.2-1.fc18.src.rpm

Description: This is a Django app that provides helpers for serving static files.
The main website for django-staticfiles is github.com/jezdez/django-staticfiles where you can also file tickets.

Fedora Account System Username: beckerde
Comment 1 Matthias Runge 2012-05-29 03:20:36 EDT
I'll take this one.
Comment 2 Domingo Becker 2012-05-29 12:49:49 EDT
Removed BuildRoot, clean, defattr and rm -rf buildroot.

Spec URL: http://beckerde.fedorapeople.org/transifex/python-django-staticfiles.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/python-django-staticfiles-0.3.2-2.fc18.src.rpm
Comment 3 Matthias Runge 2012-06-12 04:06:46 EDT
Before doing a full review,

you should:
-remove the bundled egg-info in %prep
rm -rf django_staticfiles.egg-info 

- delete the first two lines from spec:
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
- buildrequires python-devel should read python2-devel

- buildrequires python-setuptools-devel should read python-setuptools

- personally, I think listing each requirement in a separate line is more readable

- python-django is not a build requirement

- when making a version 0.3.2-2 you shouldn't obsolete < 0.3.2-3 (you would obsolete yourself)

- files should contain 
%{python_sitelib}/staticfiles
%{python_sitelib}/django_staticfiles-%{version}-py?.?.egg-info
Comment 5 Matthias Runge 2012-06-25 15:00:29 EDT
I'm sorry, this took so long, but finally:

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-django-staticfiles-0.3.2-6.fc18.noarch.rpm

python-django-staticfiles.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
python-django-staticfiles.noarch: W: spelling-error %description -l en_US jezdez -> jeez
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-django-staticfiles-0.3.2-6.fc18.src.rpm

python-django-staticfiles.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
python-django-staticfiles.src: W: spelling-error %description -l en_US jezdez -> jeez
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/825496/django-staticfiles-0.3.2.tar.gz :
  MD5SUM this package     : 8fd8d7abb3fd06c31d752283ed643fde
  MD5SUM upstream package : 8fd8d7abb3fd06c31d752283ed643fde

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-django-staticfiles-0.3.2-6.fc18.noarch.rpm

python-django-staticfiles.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
python-django-staticfiles.noarch: W: spelling-error %description -l en_US jezdez -> jeez
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-django-staticfiles-0.3.2-6.fc18.src.rpm

python-django-staticfiles.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
python-django-staticfiles.src: W: spelling-error %description -l en_US jezdez -> jeez
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Package is APPROVED
Comment 6 Domingo Becker 2012-07-10 11:45:39 EDT
New Package SCM Request
=======================
Package Name: python-django-staticfiles
Short Description: A Django app that provides helpers for serving static files
Owners: beckerde 
Branches: 
InitialCC: diegobz
Comment 7 Kevin Fenzi 2012-07-10 18:32:05 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.